Bug 51532 (vs-549713) - Immediate Window cannot evaluate linq
Summary: Immediate Window cannot evaluate linq
Status: RESOLVED FIXED
Alias: vs-549713
Product: Xamarin Studio
Classification: Desktop
Component: Debugger (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: Normal normal
Target Milestone: ---
Assignee: David Karlaš
URL:
Depends on:
Blocks:
 
Reported: 2017-01-13 23:59 UTC by James Clancey
Modified: 2018-02-07 09:22 UTC (History)
8 users (show)

Tags: vs-sync
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description James Clancey 2017-01-13 23:59:43 UTC
Inspector does not support the following things

>  items.FirstOrDefault(x=> x.Id.Contains("foo"))
>  items.Where(x=> x.Id.Contains("foo"))

You will always get:

Expression not supported.

Sometimes while debugging you want to search through a collection. And recompiling and hoping to get back into the same state is really not nice.
Comment 1 James Clancey 2017-01-14 00:07:16 UTC
Sorry immediate window, not inspector
Comment 2 Gregory Shields 2017-01-16 21:40:24 UTC
Same situation with Visual Studio.